> ## Documentation Index
> Fetch the complete documentation index at: https://79cdaa32-9b19-4e9d-ab9d-a89800ef0f46.valox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Monerium profile

> This endpoint attempts to create a new Monerium profile for the authenticated user. If the user already has a Monerium profile, it will return a redirect URL for the OAuth flow to link the existing profile.



## OpenAPI

````yaml specs/api/spec.json post /api/v1/ibans/monerium-profile
openapi: 3.0.0
info:
  title: ValoX API
  version: 1.0.0
  description: OpenAPI documentation for ValoX
servers:
  - url: https://api.valox.co
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/ibans/monerium-profile:
    post:
      tags:
        - IBAN
      summary: Create a new Monerium profile
      description: >-
        This endpoint attempts to create a new Monerium profile for the
        authenticated user. If the user already has a Monerium profile, it will
        return a redirect URL for the OAuth flow to link the existing profile.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - signature
                - callbackUrl
              properties:
                signature:
                  type: string
                  description: >
                    Signature of the message "I hereby declare that I am the
                    address owner."

                    This signature is created by signing the message with the
                    user's wallet.

                    The exact message can be retrieved from the
                    /api/v1/ibans/signing-message endpoint.

                    The signature is used to verify ownership of the address on
                    Monerium.

                    Format: Ethereum signature string (e.g., "0x1234...").
                callbackUrl:
                  type: string
                  description: >
                    Optional URL to redirect the user to after the OAuth flow is
                    completed.

                    This is used when the user already has a Monerium account
                    that needs to be linked.

                    If not provided, a default redirect URL will be used.
      responses:
        '200':
          description: Successfully created a new Monerium profile
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - success
                    properties:
                      success:
                        type: boolean
                        example: true
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          description: User already has a Monerium profile that needs to be linked
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    required:
                      - redirectUrl
                      - message
                    properties:
                      redirectUrl:
                        type: string
                      message:
                        type: string
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````